Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 512578 - emerge --depclean output of atoms is suboptimal
Summary: emerge --depclean output of atoms is suboptimal
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Interface (emerge) (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-06-06 08:06 UTC by Patrick Lauer
Modified: 2014-08-22 16:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Fixes the bug (0001-Prepend-to-unmerge-atoms-bug-512578.patch,954 bytes, patch)
2014-06-12 17:09 UTC, Alexander Berntsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Lauer gentoo-dev 2014-06-06 08:06:18 UTC
Example:

===
# emerge -pC gentoo-sources
 * This action can remove important packages! In order to be safer, use
 * `emerge -pv --depclean <atom>` to check for reverse dependencies before
 * removing packages.

>>> These are the packages that would be unmerged:

 sys-kernel/gentoo-sources
    selected: 3.10.7-r1 3.10.17 3.10.25 3.10.32 3.12.13 3.12.20 3.12.21-r1 
   protected: none 
     omitted: none 

All selected packages: sys-kernel/gentoo-sources-3.10.32 sys-kernel/gentoo-sources-3.10.25 sys-kernel/gentoo-sources-3.12.21-r1 sys-kernel/gentoo-sources-3.10.7-r1 sys-kernel/gentoo-sources-3.10.17 sys-kernel/gentoo-sources-3.12.13 sys-kernel/gentoo-sources-3.12.20

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.
===

The "All selected packages" line is not directly useful for reuse (e.g. by copy-pasting a few of the listed atoms) as the atoms are lacking a leading "="

If this were added it'd be a lot easier to handle selective depclean.

(So it'd change:
All selected packages: sys-kernel/gentoo-sources-3.10.32
to:
All selected packages: =sys-kernel/gentoo-sources-3.10.32
)
Comment 1 Alexander Berntsen (RETIRED) gentoo-dev 2014-06-12 17:09:15 UTC
Created attachment 378754 [details, diff]
Fixes the bug
Comment 2 Alexander Berntsen (RETIRED) gentoo-dev 2014-08-12 10:32:04 UTC
This is fixed in git.
Comment 3 Brian Dolbec gentoo-dev 2014-08-22 16:50:40 UTC
Released in portage-2.2.12